LibreOffice: XInplaceClient Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XInplaceClient Interface Reference

represents common functionality for inplace clients. More...

`import"XInplaceClient.idl";`

Inheritance diagram for XInplaceClient:

## Public Member Functions
boolean | canInplaceActivate ()
| checks if the container can activate the object inplace. More...
void | activatingInplace () raises ( ::com::sun::star::embed::WrongStateException )
| notifies container through the client that the object is to be inplace activated. More...
void | activatingUI () raises ( ::com::sun::star::embed::WrongStateException )
| notifies container through the client that the object is to be UI-activated. More...
void | deactivatedInplace () raises ( ::com::sun::star::embed::WrongStateException )
| notifies container through the client that the object is deactivated. More...
void | deactivatedUI () raises ( ::com::sun::star::embed::WrongStateException )
| notifies container through the client that the object is UI-deactivated. More...
::com::sun::star::frame::XLayoutManager | getLayoutManager () raises ( ::com::sun::star::embed::WrongStateException )
| allows to retrieve the com::sun::star::frame::LayoutManager of the container. More...
::com::sun::star::frame::XDispatchProvider | getInplaceDispatchProvider () raises ( ::com::sun::star::embed::WrongStateException )
| allows to retrieve the container's dispatch provider. More...
::com::sun::star::awt::Rectangle | getPlacement () raises ( ::com::sun::star::embed::WrongStateException )
| gets the inplace object position rectangle. More...
::com::sun::star::awt::Rectangle | getClipRectangle () raises ( ::com::sun::star::embed::WrongStateException )
| gets the inplace object clip rectangle. More...
void | translateAccelerators ([in] sequence< ::com::sun::star::awt::KeyEvent > aKeys) raises ( ::com::sun::star::embed::WrongStateException )
| provides accelerator table the object wants to use while it is inplace active. More...
void | scrollObject ([in] ::com::sun::star::awt::Size aOffset) raises ( ::com::sun::star::embed::WrongStateException )
| scrolls the object. More...
void | changedPlacement ([in] ::com::sun::star::awt::Rectangle aPosRect) raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| notifies the container that the position of the object is changed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents common functionality for inplace clients.

## Member Function Documentation

## § activatingInplace()

void activatingInplace | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

notifies container through the client that the object is to be inplace activated.

Exceptions

  com::sun::star::embed::WrongStateException | the container is not ready for activation

## § activatingUI()

void activatingUI | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

notifies container through the client that the object is to be UI-activated.

Exceptions

  com::sun::star::embed::WrongStateException | the container is not ready for activation

## § canInplaceActivate()

boolean canInplaceActivate | ( |  | ) |

checks if the container can activate the object inplace.

Returns
  `TRUE` the container can activate the object inplace. `FALSE` otherwise.

## § changedPlacement()

void changedPlacement | ( | [in] ::com::sun::star::awt::Rectangle | aPosRect | ) |
raises | ( | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::uno::Exception
| ) |  |

notifies the container that the position of the object is changed.

Parameters

  aPosRect | specifies a new position rectangle

Exceptions

  com::sun::star::embed::WrongStateException | the object state is not correct
  com::sun::star::uno::Exception | in case of other problems

## § deactivatedInplace()

void deactivatedInplace | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

notifies container through the client that the object is deactivated.

Exceptions

  com::sun::star::embed::WrongStateException | the container is not ready for deactivation

## § deactivatedUI()

void deactivatedUI | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

notifies container through the client that the object is UI-deactivated.

After this notification the container can restore it's own UI and take focus.

Exceptions

  com::sun::star::embed::WrongStateException | the container is not ready for deactivation

## § getClipRectangle()

::com::sun::star::awt::Rectangle getClipRectangle | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

gets the inplace object clip rectangle.

The rectangle is provided in object's parent window coordinates in pixels. The intersection of position and clip rectangles specifies the visible part of the object.

Returns
  specifies a new clip rectangle

Exceptions

  com::sun::star::embed::WrongStateException | the object is in unexpected state to make such request

## § getInplaceDispatchProvider()

::com::sun::star::frame::XDispatchProvider getInplaceDispatchProvider | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

allows to retrieve the container's dispatch provider.

Returns
  reference to object implementing the com::sun::star::frame::XDispatchProvider

Exceptions

  com::sun::star::embed::WrongStateException | the object is in unexpected state to make such request

## § getLayoutManager()

::com::sun::star::frame::XLayoutManager getLayoutManager | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

allows to retrieve the com::sun::star::frame::LayoutManager of the container.

Returns
  reference to object representing the com::sun::star::frame::LayoutManager of the container

Exceptions

  com::sun::star::embed::WrongStateException | the object is in unexpected state to make such request

## § getPlacement()

::com::sun::star::awt::Rectangle getPlacement | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

gets the inplace object position rectangle.

The rectangle is provided in object's parent window coordinates in pixels. The intersection of position and clip rectangles specifies the visible part of the object. In case the position window has a size that is bigger than object's size, the object should either scale or deactivate.

Returns
  specifies a new position rectangle

Exceptions

  com::sun::star::embed::WrongStateException | the object is in unexpected state to make such request

## § scrollObject()

void scrollObject | ( | [in] ::com::sun::star::awt::Size | aOffset | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

scrolls the object.

Parameters

  aOffset | scrolls the object to specified offset in pixels

Exceptions

  com::sun::star::embed::WrongStateException | the object is in unexpected state

## § translateAccelerators()

void translateAccelerators | ( | [in] sequence< ::com::sun::star::awt::KeyEvent > | aKeys | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

provides accelerator table the object wants to use while it is inplace active.

Parameters

  aKeys | an accelerator table from object

Exceptions

  com::sun::star::embed::WrongStateException | the object is in unexpected state

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XInplaceClient.idl